
// see main 2divx.cpp for copyright and author information.

#include "Video.h"

cVideo::cVideo()
{
 int i;
 // Constructor
 // Set some valid values for variables...
 Path="";
 FileName="";
 NumFiles=0;
 HasAC3=false;
 Aspect=asp_undef;
 Width=0;
 Height=0;
 VBitrate=0;
 ABitrate=0;
 FrameRate=25;
 InSync=false;
 Frames=0;
 for (i=0; i<MaxMarks; i++)
   Marks[i]=0;
 NumMarks=0;
 Size=0;
// Length=0;
}

cVideo::~cVideo()
{
}

void cVideo::Dump()
// Dumps all parameters in current class)
{
  int i;
//  cout << "Current parameters:\n";
  cout << "Path: " << Path << "\n";
  cout << "FileName: " << FileName << "\n";  
  cout << "NumFiles: " << NumFiles << "\n";
  cout << "HasAC3: " << HasAC3 << " (0 = false / 1 = true)\n";
  cout << "Aspect: " << Aspect << " (0 = undef / 1 = 1:1 / 2 = 4:3 / 3 = 16:9 / 4 = 2.21:1)\n";
  cout << "Width: " << Width << "\n";  
  cout << "Height: " << Height << "\n";
  cout << "VBitrate: " << VBitrate << "\n";
  cout << "ABitrate: " << ABitrate << "\n";
  cout << "FrameRate: " << FrameRate << " fps\n";
  cout << "InSync: " << InSync << " (0 = false / 1 = true)\n";
  cout << "Frames: " << Frames << "\n";
  if (NumMarks>0)
    {
    cout << "NumMarks: " << NumMarks << " defined as follows:\n";
    for (i=0; i<NumMarks && i<MaxMarks; i++)
	cout << "  Mark: " << Marks[i] << "\n";
    }
  cout << "Size: " << Size << " MB\n";
}

