
// see main 2divx.cpp for copyright and author information.


// Maximum Number of Cutting Marks per VDR Recording
#define MaxMarks 20

#include <String.h>

class cVideo
{
  public:
  cVideo();  // Konstruktor
  ~cVideo(); // Destruktor
  void cVideo::Dump(); // Dump all parameters
  enum cAspect { asp_undef=0 , asp1_1=1, asp4_3=2, asp16_9=3, asp2d21_1=4 };
    /* according to mpeg specs - 	0 = forbidden
					1 = 1:1 (AVI!)
					2 = 4:3
					3 = 16:9
					4 = 2.21:1 (never seen in DVBs)
				    5..15 = (reserved)	*/


  String Path;	// Path to Video (e.g. SrcDir) - Last Character IS "/"
  String FileName; // Name plus Ext. (e.g. 001.vdr, output.avi)
  //Full Qualified File NAME = /Path/Name.Extension ???
  unsigned int NumFiles; // Number of Files the Video consists of
  bool HasAC3;
  cAspect Aspect;
  unsigned int Width;
  unsigned int Height;
  unsigned int VBitrate; //Video Bitrate
  unsigned int ABitrate; // Audio
  unsigned int FrameRate; // fps
  bool InSync; // A/V sync given ? Regardless of PTS
  unsigned long int Frames; // Number of Frames the Video has
//  unsigned long int Length; // Length of Video in seconds
// How many Marks are supposed to appear in marks.vdr ?
  unsigned long int Marks[MaxMarks]; // Array for all Marks (frame number)
  unsigned int NumMarks;	//Number of Marks
  unsigned int Size;	//Approximate File Size in MB
};

