#!/bin/sh
# Aufruf:
# readcfg.sh CFGPARM
# Searches the config file for CFGPARM and the output is the configured value !
# If not found the output is empty (test -z to determine)

declare CFGFIL="${0%readcfg.sh}2divx.conf"
# was: ./2divx.conf

if test -z $1; then logger "readcfg.sh usage: readcfg.sh ConfigOption"; exit; fi
if ! test -f $CFGFIL; then logger "readcfg.sh error: Config File $CFGFIL not found in `pwd`"; exit; fi

declare -a y[0]	# Anzahl der Zeilen (idealerweise = 1 !!!)
declare -i anzahl=`grep -v -e "#" $CFGFIL | grep -i -e $1 | wc -l`
if test "$anzahl" -eq 1;
  then y=(`grep -v -e "#" $CFGFIL | grep -i -e $1`)
  anzahl=${#y[*]} # Diesmal ANZAHL der Parameter pro Zeile !
  declare -i x=0
  while x=$x+1; test $x -lt $anzahl;
    do if ! test $x -eq $(($anzahl-1)) # Noch nicht letzter Wert der Zeile ?
    	then echo -n ${y[$x]}" ";	# Diese Ausgabe wird weitergegeben !
	else echo ${y[$x]};  # Letztes Argument !
       fi
  done;
  else logger "readcfg.sh error: Option $1 found $anzahl times in $CFGFIL";
fi



