
// see main 2divx.cpp for copyright and author information.


// Maximum number of values in BMM (Bitrate Media Matrix)
#define MaxBMM 20

#include <String.h>
#include <fstream>
#include <stdlib.h>
// Searches for OptionToFind in Configuration String
String ReadCfg(String CompleteConfig, String OptionToFind);


class cBMM	//Bitrate Media Matrix
{
    public:
    enum cMatrix {mCDSize, mNumCDs, mFiles, mMVR_MP3, mMVR_AC3};
    cBMM();
    ~cBMM();
    unsigned int CDSize[MaxBMM];
    unsigned int NumCDs[MaxBMM];
    unsigned int Files[MaxBMM];
    unsigned int MVR_MP3[MaxBMM];
    unsigned int MVR_AC3[MaxBMM];

    
    unsigned int Columns;	// Number of Columns in Matrix
    unsigned int Columns_MP3;
    unsigned int Columns_AC3;
};

class cDebug
{
    public:
    cDebug();
    ~cDebug();
    bool skip_dsjar;
    bool skip_lame;
    bool skip_mencoder;
    bool nodelete;
};

class cConfig
{
    public:
  // Matrice Names for BMM
    enum cMatrix {mCDSize, mNumCDs, mFiles, mMVR_MP3, mMVR_AC3};
  
    cConfig();  // Konstruktor
    ~cConfig(); // Destruktor
    void cConfig::Dump(); // Dump all parameters
    bool cConfig::ConfFile();  // Read Config from file
    // Fill one Matrix from config of BMM (2divx.conf)
    int cConfig::FillOneMatrix(String CompleteConfig, cMatrix MatrixName);
  
    unsigned int DefaultBitrate;
    String Java;	// [path/to/]executable
    String DsJar;	// [path/to/]executable
    String Lame;	// [path/to/]executable
    String Mencoder;	// [path/to/]executable
    
    String TempDir;	// aka WorkTemp
    String VDRroot;	// new - usually /video or /video0
    String DstDir;	// aka DstPath
    cBMM BMM;	// We need a BMM
    cDebug Debug; // Debug Parameters - reachable as e.g. Config.Debug.skip_lame
};


