
// see main 2divx.cpp for copyright and author information.

#include "../FileExist.h"
#include "../Video.h"
#include "../Config.h"
#include "../System.h"
#include "aen_lame.h"



bool aen_lame(const cConfig Config, cVideo &pSrcVideo)
{
	void CleanUp_lame(cConfig Config); // local CleanUp stuff

// Starting Lame to transcode 001.mp2 to mp3 !
	String Str;
	int i;
	
	cout << "*** Info: Starting lame to reencode audio stream - please be patient\n";
	Str="nice -n 10 "+Config.Lame+" --mp2input -b 160 \""
	    +Config.TempDir+"001.mp2\""+" \""+Config.TempDir+"001.mp3\"";
	i=system(Str);
	if (i!=0)
	{
	cout << "*** Fatal: Calling Lame caused some error (" << i << ") - exiting\n";
	    CleanUp_lame(Config);
	    return false;
	}	    

	if (!FileExist((const char *) (Config.TempDir+"001.mp3")))
	{
	    cerr << "*** Fatal: No Audio stream created by Lame :-( - Exiting.\n";
	    return false;
	}
	CleanUp_lame(Config);
	return true;
}


// Remove unneeded files ...
void CleanUp_lame(cConfig Config)
{
    int i;
    if ((!Config.Debug.nodelete) && (FileExist(Config.TempDir+"001.mp2")))
    {
        i=system("rm \""+Config.TempDir+"001.mp2\"");
        if (i!=0)
        {
	    cout << "*** Warning: Could not delete unused files- error (" << i << ")\n";
	    cout << "***          Make sure you have sufficient rights in TempDir!\n";
	}	    
    }
}



